%global momorel 3

%global rbname ming
Summary: Ming/Ruby
Name: ruby-%{rbname}

Version: 0.1.7
Release: %{momorel}m%{?dist}
Group:  Applications/Multimedia
License: GPL
URL: http://mingruby.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/1841/ming-ruby-%{version}.tar.gz
NoSource: 0

Patch0: ruby-ming-0.1.7-delete-level.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.6-4m
BuildRequires: ming-devel >= 0.3.0
BuildRequires: zlib-devel libungif-devel libpng-devel

Requires: ruby-devel ming-devel zlib-devel libungif-devel libpng-devel

%description
Ming/Ruby is yet another implementation of Ming embedding for Ruby extension
library without SWIG. Ming/Ruby also supports JaMing which is an improvement
of Ming to display Japanese characters. To use Japanese fonts with JaMing,
the letters must be followed the UTF-8 formats. Uconv, which is an UTF-8
extension library for Ruby, can be used.

%prep
%setup -q -n ming-ruby-%{version}
%patch0 -p0 -b .swfmovie

find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%build
ruby setup.rb config \
    --bindir=%{_bindir} \
    --rbdir=%{ruby_sitelibdir} \
    --sodir=%{ruby_sitearchdir}
ruby setup.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --bindir=%{buildroot}%{_bindir} \
    --rbdir=%{buildroot}%{ruby_sitelibdir} \
    --sodir=%{buildroot}%{ruby_sitearchdir}
ruby setup.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog* INSTALL LGPL NEWS README TODO examples
%{ruby_sitearchdir}/ming
%{ruby_sitelibdir}/ming

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.7-3m)
- rebuild against gcc43

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.7-2m)
- rebuild against ruby-1.8.6-4m

* Thu Jul 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.7-1m)
- update to 0.1.7
- change config options
- add ruby-ming-0.1.7-delete-level.patch by nakaya
- fix %%files section
- add Requires: ming-devel zlib-devel libungif-devel libpng-devel

* Thu Jul 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.6-5m)
- rebuild against ming instead of jaming

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.6-4m)
- rebuild against ruby-1.8.2

* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.6-3m)
- revise permissions of docdir

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.1.6-2m)
- revised spec for rpm 4.2.

* Thu Jan 22 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.1.6-1m)
- update to version 0.1.6
- revise URL

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.4-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.4-2m)
- rebuild against ruby-1.8.0.

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.1.4-1m)
- initial revision
